#include <bits/stdc++.h>

const int base = -2;

int main() {
    freopen("notation.in", "r", stdin);
    freopen("notation.out", "w", stdout);
    long long n;
    std::cin >> n;
    std::vector <int> answer;
    while (n != 0) {
        int remainder = (n % base + abs(base)) % base;
        answer.push_back(remainder);
        n = (n - remainder) / base;
    }
    if (answer.size() == 0)
        answer.push_back(0);

    printf("100\n");
    for (int i = 0; i < 100; i++)
        printf("%d%c", i < (int)answer.size() ? answer[i] : 0, " \n"[i == 99]);
    return 0;
}